<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_user = mysql_fetch_array($result);
		else go(URL);
}
else go(URL);

if (!empty($_GET['target']) && !empty($_GET['from']) && is_numeric($_GET['from'])) $target = '&target='.check($_GET['target']).'&from='.abs(intval($_GET['from'])); else $target = '';

	$title = $arr_user['name'].' '.$arr_user['surname'].' :: '.lang('Аудиозаписи','Аудіозаписи');
	require_once '../incfiles/head.php';
	require_once 'handler/upload.php';

	echo user_access_page($arr_user);

	
	echo '<div class="title">
	<a href="'.URL.'/?id='.$id.'" onclick="Page.Go(this.href); return false">'.$arr_user['name'].' '.$arr_user['surname'].'</a>
	<a class="title_a_hover" href="'.URL.'/audio/?id='.$id.'" onclick="Title.Open(); return false">'.lang('Аудиозаписи','Аудіозаписи').' '.$arr_user['count_audio'].' <img src="'.URL.'/design/img/title_menu.png"/></a>
	</div>';
	
	if (!empty($user_id) && $user_id == $arr_user['id'])
	{
	
		require_once 'handler/del.php';
	
		echo '<div id="title_menu">
		<div class="block">
		<form id="form" action="'.URL.'/audio/?id='.$user_id.'" method="post" enctype="multipart/form-data">
		<input class="input2" name="file" type="file"/> 
		<input class="button2" type="submit" value="'.lang('Загрузить','Завантажити').'"/>
		</form>
		</div></div>';
		if ($user['count_audio']==0) echo '<p><div class="time"><center>'.lang('Для загрузки аудиозаписей нажмите на кнопку<p><a class="title_a_hover" href="'.URL.'/audio/?id='.$id.'" onclick="Title.Open(); return false">'.lang('Аудиозаписи','Аудіозаписи').' '.$arr_user['count_audio'].' <img src="'.URL.'/design/img/title_menu.png"/></a></p>которая содержит в себе скрытое меню','Для завантаження аудіозаписів натисніть на кнопку<p><a class="title_a_hover" href="'.URL.'/audio/?id='.$id.'" onclick="Title.Open(); return false">'.lang('Аудиозаписи','Аудіозаписи').' '.$arr_user['count_audio'].' <img src="'.URL.'/design/img/title_menu.png"/></a></p> яка містить в собі приховане меню').'</center></div></p>';
	}	

if ($arr_user['count_audio'] > 0)
{
	$arr_playlist = mysql_fetch_array(mysql_query("SELECT * FROM `audioplaylist` WHERE `user_id` = '".$id."'"));
	$q = explode("||", substr($arr_playlist['tracks'], 1, -1));
	$count = count($q);
	$cp = ceil($count/10);
	$p = (isset($_GET['p']) and is_numeric($_GET['p']) and $_GET['p']>1 and $_GET['p']<=$cp) ? $_GET['p'] : 1;
	$start = $p*10-10;
	for ($i = $start; $i < ($p*10) && $i < $count; $i++)
	{
		$arr = mysql_fetch_array(mysql_query("SELECT * FROM `audio` WHERE `id` = '".$q[$i]."' LIMIT 1"));

		echo '<div class="block">'.(!empty($user_id) && $user_id==$id?'<div class="right"><a href="'.URL.'/audio/?id='.$user_id.'&del='.$arr['id'].'&p='.$p.'" onclick="Page.Go(this.href); return false"><img src="'.URL.'/design/img/closed.png"/></a></div>':'').'';
		//echo ''.('<div class="right"><a href="'.URL.'/audio/?id='.$user_id.'&del='.$arr['id'].'&p='.$p.'" onclick="Page.Go(this.href); return false"><img src="'.URL.'/design/img/closed.png"/></a></div>':'').'';
		if (!empty($user_id) && $user_id != $id) echo '<div class="right"><a href="'.URL.'/audio/add.php?id=track_'.$arr['id'].'" onclick="Page.Go(this.href); return false"><img src="'.URL.'/design/img/adds.png"/></a></div>';
//else if (!empty($user_id) && $user_id != $id) echo '<div class="right"><img src="'.URL.'/design/img/adds.png"/></a></div>';
		echo '<a class="track" id="track_'.$arr['id'].'" title="'.$arr['artist'].' - '.$arr['name'].'" href="'.URL.'/files/audio/'.$arr['dir'].'/'.$arr['file'].'" onclick="Track.Play(this.id,this.href,this.title); return false"><img class="track" id="track_'.$arr['id'].'" src="'.URL.'/design/img/play.png"/></a> '.(!empty($target)?'<a href="'.URL.'/audio/select.php?fid='.$arr['id'].'&target='.check($_GET['target']).'&from='.abs(intval($_GET['from'])).'" onclick="Page.Go(this.href); return false"><b>'.$arr['artist'].'</b> - '.$arr['name'].'</a>':'<b>'.$arr['artist'].'</b> - '.$arr['name']).' '.(!empty($arr['duration'])?'<font class="time"><small>('.$arr['duration'].')</small></font>':'').'</div>';
	}
	
	
	navi($p,$cp,'/audio/?id='.$arr_user['id'].''.$target.'&');
}

require_once '../incfiles/foot.php';


?>